clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
88.4
89.45
90.5
91.55
92.6
93.65
94.7
95.75
96.8
97.85
98.9
99.95
101
102.05
103.1
104.15
105.2
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.00108929	0.0011334	0.0011829	0.00123875	0.00130213	0.00137453	0.00145787	0.00155466	0.00166826	0.0018032	0.00196587	0.00216545	0.00241572	0.00273831	0.00316918	0.00377303	0.00467899;
0.00108985	0.00113402	0.0011836	0.00123953	0.00130299	0.00137549	0.00145894	0.00155585	0.00166957	0.00180467	0.00196752	0.00216731	0.00241785	0.00274076	0.00317207	0.00377652	0.00468336;
0.00109045	0.0011347	0.00118436	0.00124037	0.00130392	0.00137651	0.00146007	0.0015571	0.00167096	0.00180621	0.00196924	0.00216925	0.00242006	0.0027433	0.00317506	0.00378013	0.00468788;
0.00109111	0.00113543	0.00118516	0.00124126	0.0013049	0.00137759	0.00146125	0.00155841	0.00167241	0.00180782	0.00197104	0.00217128	0.00242235	0.00274595	0.00317816	0.00378386	0.00469255;
0.00109182	0.00113621	0.00118602	0.0012422	0.00130594	0.00137873	0.0014625	0.00155978	0.00167392	0.0018095	0.00197291	0.00217337	0.00242473	0.00274868	0.00318136	0.00378771	0.00469737;
0.00109258	0.00113705	0.00118693	0.0012432	0.00130702	0.00137992	0.0014638	0.00156121	0.0016755	0.00181124	0.00197484	0.00217554	0.00242719	0.00275151	0.00318467	0.00379167	0.00470232;
0.00109339	0.00113792	0.00118789	0.00124424	0.00130816	0.00138116	0.00146516	0.0015627	0.00167713	0.00181304	0.00197684	0.00217778	0.00242972	0.00275441	0.00318806	0.00379575	0.0047074;
0.00109424	0.00113885	0.0011889	0.00124533	0.00130935	0.00138245	0.00146657	0.00156424	0.00167882	0.0018149	0.00197891	0.00218009	0.00243233	0.0027574	0.00319156	0.00379994	0.00471262;
0.00109513	0.00113982	0.00118995	0.00124647	0.00131058	0.00138379	0.00146803	0.00156583	0.00168056	0.00181682	0.00198103	0.00218247	0.00243501	0.00276047	0.00319514	0.00380423	0.00471796;
0.00109606	0.00114083	0.00119104	0.00124765	0.00131186	0.00138518	0.00146954	0.00156747	0.00168236	0.0018188	0.00198322	0.00218491	0.00243776	0.00276362	0.0031988	0.00380862	0.00472342;
0.00109704	0.00114188	0.00119218	0.00124888	0.00131319	0.00138661	0.00147109	0.00156916	0.00168421	0.00182083	0.00198546	0.00218741	0.00244058	0.00276684	0.00320256	0.0038131	0.004729;
0.00109805	0.00114297	0.00119335	0.00125015	0.00131455	0.00138809	0.00147269	0.0015709	0.0016861	0.00182291	0.00198776	0.00218997	0.00244347	0.00277013	0.00320639	0.00381768	0.00473468;
0.00109911	0.0011441	0.00119457	0.00125145	0.00131596	0.00138961	0.00147433	0.00157269	0.00168805	0.00182504	0.00199012	0.00219259	0.00244641	0.0027735	0.0032103	0.00382236	0.00474048;
0.0011002	0.00114527	0.00119582	0.0012528	0.00131741	0.00139117	0.00147602	0.00157452	0.00169004	0.00182722	0.00199252	0.00219526	0.00244942	0.00277693	0.00321429	0.00382711	0.00474639;
0.00110132	0.00114648	0.00119711	0.00125418	0.0013189	0.00139277	0.00147775	0.00157639	0.00169208	0.00182945	0.00199498	0.00219799	0.00245249	0.00278042	0.00321835	0.00383196	0.0047524;
0.00110248	0.00114772	0.00119844	0.0012556	0.00132042	0.00139441	0.00147952	0.0015783	0.00169416	0.00183173	0.00199748	0.00220077	0.00245561	0.00278398	0.00322248	0.00383689	0.00475851;
0.00110368	0.00114899	0.0011998	0.00125706	0.00132198	0.00139608	0.00148132	0.00158026	0.00169629	0.00183405	0.00200004	0.00220361	0.00245879	0.0027876	0.00322668	0.0038419	0.00476471];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','^',...
    'MarkerEdgeColor','[0.4660 0.6740 0.1880]',...
    'MarkerFaceColor','[0.4660 0.6740 0.1880]')

zlim([0.0008 0.00476471])
ylim([88.4E9 105.2E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([88.4E9 90E9 92E9 95E9 97E9 100E9 102E9 105.2E9])
zticks([0.00108929 0.002 0.003 0.004 0.00476471])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - noDoped-60Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_60TaDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Highload_60TaDoped_strainenergy_LLZO_48e_fAl.png